options pagesize=59 linesize=80 nocenter;
data;
infile 'agemarj04-4697d3b45043b.dat' lrecl=87 missover DSD DLM=' ';
input
  C0000100
  C0000200
  C0005300
  C0005400
  C0011201
  C0011203
  C0011205
  C0011207
  C0011209
  C0011211
  C0733300
  C0945000
  C1140400
  C1370500
  C1592600
  C1933400
  C2472600
  C2770600
  C3050500
  Y0364900
  Y0658900
  Y0954900
  Y1168700
  Y1407900
  Y1659200
  Y1659300
  ;
array chrrlst 
  C0000100 -- Y1659300
  ;
do over chrrlst;
  if chrrlst = -5 then chrrlst = .A;
  if chrrlst = -4 then chrrlst = .B;
  if chrrlst = -3 then chrrlst = .C;
  if chrrlst = -2 then chrrlst = .D;
  if chrrlst = -1 then chrrlst = .E;
  if chrrlst = -7 then chrrlst = .F;
  end;
label C0000100 = "ID CODE OF CHILD";
label C0000200 = "ID CODE OF MOTHER OF CHILD";
label C0005300 = "RACE OF CHILD (FROM MOTHERS SCREENER 79)";
label C0005400 = "SEX OF CHILD";
label C0011201 = "WAS CHILD INTERVWD AS YOUNG ADULT?";
label C0011203 = "WAS CHILD INTERVIEWED AS YOUNG ADULT? 96";
label C0011205 = "WAS CHILD INTERVWD AS YOUNG ADULT? 1998";
label C0011207 = "WAS CHILD INTERVWD AS YOUNG ADULT? 2000";
label C0011209 = "WAS CHILD INTERVWD AS YOUNG ADULT? 2002";
label C0011211 = "WAS CHILD INTERVWD AS YOUNG ADULT? 2004";
label C0733300 = "RS AGE WHEN FIRST USED MARIJUANA";
label C0945000 = "CHILD'S AGE WHEN HE 1ST USED MARIJUANA";
label C1140400 = "CH'S AGE WHEN S/HE 1ST USED MARIJUANA-92";
label C1370500 = "CH AGE WHEN S/HE 1ST USED MARIJUANA 94";
label C1592600 = "CH AGE WHEN S/HE 1ST USED MARIJUANA 96";
label C1933400 = "AGE WHEN CHILD 1ST USED MARIJUANA 1998";
label C2472600 = "AGE WHEN CHILD 1ST USED MARIJUANA 2000";
label C2770600 = "AGE WHEN CHILD 1ST USED MARIJUANA 2002";
label C3050500 = "AGE WHEN CHILD 1ST USED MARIJUANA 2004";
label Y0364900 = "AGE WHEN FIRST USED MARIJUANA         94";
label Y0658900 = "AGE WHEN FIRST USED MARIJUANA         96";
label Y0954900 = "AGE WHEN FIRST USED MARIJUANA 1998";
label Y1168700 = "AGE WHEN FIRST USED MARIJUANA 2000";
label Y1407900 = "AGE WHEN FIRST USED MARIJUANA 2002";
label Y1659200 = "CHECK: REPT AGE 1ST USE MJ PREV SUR 2004";
label Y1659300 = "AGE WHEN FIRST USED MARIJUANA 2004";
proc format;
value vx0f
  1-9999999='1 TO 9999999: See Min & Max values below for range as of this release'
    ;
value vx1f
  1-12686='1 TO 12686: NLSY79 Public ID'
    ;
value vx2f
  1='HISPANIC'
  2='BLACK'
  3='NON-BLACK, NON-HISPANIC'
    ;
value vx3f
  1='MALE'
  2='FEMALE'
    ;
value vx4f
  1='YES'
  0='NO'
    ;
value vx5f
  1='Yes'
  0='No'
    ;
value vx6f
  1='Yes'
  0='No'
    ;
value vx7f
  1='Yes'
  0='No'
    ;
value vx8f
  1='Yes'
  0='No'
    ;
value vx9f
  1='Yes'
  0='No'
    ;
value vx10f
  0='0: < 1'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  15='15'
  16='16'
  17-99999='17 TO 99999: 17+'
  1='1'
  2='2'
  3='3'
  4='4'
  5='5'
  6='6'
  7='7'
  8='8'
    ;
value vx11f
  0='0: < 1'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  15='15'
  16='16'
  17-99999='17 TO 99999: 17+'
  1='1'
  2='2'
  3='3'
  4='4'
  5='5'
  6='6'
  7='7'
  8='8'
    ;
value vx12f
  0='0: < 1'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  15='15'
  16='16'
  17-99999='17 TO 99999: 17+'
  1='1'
  2='2'
  3='3'
  4='4'
  5='5'
  6='6'
  7='7'
  8='8'
    ;
value vx13f
  0-8='0 TO 8: less than 9 years old'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  15-94='15 TO 94: 15 years old or older'
  95='95: Never'
    ;
value vx14f
  0-8='0 TO 8: < 9'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  15-94='15 TO 94: 14+'
  95='95: Never'
    ;
value vx15f
  0='0: Less than 1 year old'
  9='9'
  10='10'
  11='11'
  12='12'
  13='13'
  14='14'
  95='95: Never'
  1='1'
  2='2'
  3='3'
  4='4'
  5='5'
  6='6'
  7='7'
  8='8'
    ;
value vx16f
  0='0: Less than 1 year old'
  9='9: years old'
  10='10: years old'
  11='11: years old'
  12='12: years old'
  13='13: years old'
  14='14: years old'
  95='95: Never'
  1='1: year old'
  2='2: years old'
  3='3: years old'
  4='4: years old'
  5='5: years old'
  6='6: years old'
  7='7: years old'
  8='8: years old'
    ;
value vx17f
  0='0: Less than 1 year old'
  9='9: years old'
  10='10: years old'
  11='11: years old'
  12='12: years old'
  13='13: years old'
  14='14: years old'
  95='95: Never'
  1='1: year old'
  2='2: years old'
  3='3: years old'
  4='4: years old'
  5='5: years old'
  6='6: years old'
  7='7: years old'
  8='8: years old'
    ;
value vx18f
  0='0: Less than 1 year old'
  9='9: years old'
  10='10: years old'
  11='11: years old'
  12='12: years old'
  13='13: years old'
  14='14: years old'
  15-999='15 TO 999: over 15 yrs old'
  1='1: year old'
  2='2: years old'
  3='3: years old'
  4='4: years old'
  5='5: years old'
  6='6: years old'
  7='7: years old'
  8='8: years old'
    ;
value vx19f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26-95='26 TO 95: MORE THAN 25 YEARS OLD'
  10='10: 10 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
value vx20f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26-95='26 TO 95: MORE THAN 25 YEARS OLD'
  10='10: 10 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
value vx21f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26-95='26 TO 95: MORE THAN 25 YEARS OLD'
  10='10: 10 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
value vx22f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26='26: 26 YEARS OLD'
  27='27: 27 YEARS OLD'
  10='10: 10 YEARS OLD'
  28='28: 28 YEARS OLD'
  29='29: 29 YEARS OLD'
  30='30: 30 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
value vx23f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26='26: 26 YEARS OLD'
  27='27: 27 YEARS OLD'
  10='10: 10 YEARS OLD'
  28='28: 28 YEARS OLD'
  29='29: 29 YEARS OLD'
  30='30: 30 YEARS OLD'
  31='31: 31 YEARS OLD'
  32='32: 32 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
value vx24f
  1='1: CONDITION APPLIES'
  0='0: CONDITION DOES NOT APPLY'
    ;
value vx25f
  0-9='0 TO 9: LESS THAN 10 YEARS OLD'
  18='18: 18 YEARS OLD'
  19='19: 19 YEARS OLD'
  20='20: 20 YEARS OLD'
  21='21: 21 YEARS OLD'
  22='22: 22 YEARS OLD'
  23='23: 23 YEARS OLD'
  24='24: 24 YEARS OLD'
  25='25: 25 YEARS OLD'
  26='26: 26 YEARS OLD'
  27='27: 27 YEARS OLD'
  10='10: 10 YEARS OLD'
  28='28: 28 YEARS OLD'
  29='29: 29 YEARS OLD'
  30='30: 30 YEARS OLD'
  31='31: 31 YEARS OLD'
  32='32: 32 YEARS OLD'
  33='33: 33 YEARS OLD'
  34='34: 34 YEARS OLD'
  35='35: 35 YEARS OLD'
  36='36: 36 YEARS OLD'
  11='11: 11 YEARS OLD'
  12='12: 12 YEARS OLD'
  13='13: 13 YEARS OLD'
  14='14: 14 YEARS OLD'
  15='15: 15 YEARS OLD'
  16='16: 16 YEARS OLD'
  17='17: 17 YEARS OLD'
    ;
/*
  format C0000100 vx0f.;
  format C0000200 vx1f.;
  format C0005300 vx2f.;
  format C0005400 vx3f.;
  format C0011201 vx4f.;
  format C0011203 vx5f.;
  format C0011205 vx6f.;
  format C0011207 vx7f.;
  format C0011209 vx8f.;
  format C0011211 vx9f.;
  format C0733300 vx10f.;
  format C0945000 vx11f.;
  format C1140400 vx12f.;
  format C1370500 vx13f.;
  format C1592600 vx14f.;
  format C1933400 vx15f.;
  format C2472600 vx16f.;
  format C2770600 vx17f.;
  format C3050500 vx18f.;
  format Y0364900 vx19f.;
  format Y0658900 vx20f.;
  format Y0954900 vx21f.;
  format Y1168700 vx22f.;
  format Y1407900 vx23f.;
  format Y1659200 vx24f.;
  format Y1659300 vx25f.;
*/
/* *start* Crosswalk for Reference number & Question name
    C0000100    CPUBID
    C0000200    MPUBID
    C0005300    CRACE
    C0005400    CSEX
    C0011201    YAINTV1994
    C0011203    YAINTV1996
    C0011205    YAINTV1998
    C0011207    YAINTV2000
    C0011209    YAINTV2002
    C0011211    YAINTV2004
    C0733300    CS884252
    C0945000    CS906665
    C1140400    CS926865
    C1370500    CS942649
    C1592600    CS960945
    C1933400    CS98063
    C2472600    CSAS063
    C2770600    CSAS063
    C3050500    CSAS063
    Y0364900    YA940413
    Y0658900    YA960355
    Y0954900    YA98032
    Y1168700    YASR-25
    Y1407900    YASR-25
    Y1659200    YASR-24B
    Y1659300    YASR-25
      * *finish* */
proc means n mean min max;
run;
