file handle pcdat/name='agemarj04-4697d3b45043b.dat'.
data list file pcdat free /
  C0000100 (F)
  C0000200 (F)
  C0005300 (F)
  C0005400 (F)
  C0011201 (F)
  C0011203 (F)
  C0011205 (F)
  C0011207 (F)
  C0011209 (F)
  C0011211 (F)
  C0733300 (F)
  C0945000 (F)
  C1140400 (F)
  C1370500 (F)
  C1592600 (F)
  C1933400 (F)
  C2472600 (F)
  C2770600 (F)
  C3050500 (F)
  Y0364900 (F)
  Y0658900 (F)
  Y0954900 (F)
  Y1168700 (F)
  Y1407900 (F)
  Y1659200 (F)
  Y1659300 (F)
  .
* The following code works with current versions of SPSS.
missing values all (-7,-5 thru -1).
* older versions of SPSS may require this:
* recode all (-4,-3,-2,-1=-5).
* missing values all (-5).
variable labels
  C0000100 "ID CODE OF CHILD"
  C0000200 "ID CODE OF MOTHER OF CHILD"
  C0005300 "RACE OF CHILD (FROM MOTHERS SCREENER 79)"
  C0005400 "SEX OF CHILD"
  C0011201 "WAS CHILD INTERVWD AS YOUNG ADULT?"
  C0011203 "WAS CHILD INTERVIEWED AS YOUNG ADULT? 96"
  C0011205 "WAS CHILD INTERVWD AS YOUNG ADULT? 1998"
  C0011207 "WAS CHILD INTERVWD AS YOUNG ADULT? 2000"
  C0011209 "WAS CHILD INTERVWD AS YOUNG ADULT? 2002"
  C0011211 "WAS CHILD INTERVWD AS YOUNG ADULT? 2004"
  C0733300 "RS AGE WHEN FIRST USED MARIJUANA"
  C0945000 "CHILD'S AGE WHEN HE 1ST USED MARIJUANA"
  C1140400 "CH'S AGE WHEN S/HE 1ST USED MARIJUANA-92"
  C1370500 "CH AGE WHEN S/HE 1ST USED MARIJUANA 94"
  C1592600 "CH AGE WHEN S/HE 1ST USED MARIJUANA 96"
  C1933400 "AGE WHEN CHILD 1ST USED MARIJUANA 1998"
  C2472600 "AGE WHEN CHILD 1ST USED MARIJUANA 2000"
  C2770600 "AGE WHEN CHILD 1ST USED MARIJUANA 2002"
  C3050500 "AGE WHEN CHILD 1ST USED MARIJUANA 2004"
  Y0364900 "AGE WHEN FIRST USED MARIJUANA         94"
  Y0658900 "AGE WHEN FIRST USED MARIJUANA         96"
  Y0954900 "AGE WHEN FIRST USED MARIJUANA 1998"
  Y1168700 "AGE WHEN FIRST USED MARIJUANA 2000"
  Y1407900 "AGE WHEN FIRST USED MARIJUANA 2002"
  Y1659200 "CHECK: REPT AGE 1ST USE MJ PREV SUR 2004"
  Y1659300 "AGE WHEN FIRST USED MARIJUANA 2004"
  .
* value labels
 C0005300
  1 "HISPANIC"
  2 "BLACK"
  3 "NON-BLACK, NON-HISPANIC"
    /
 C0005400
  1 "MALE"
  2 "FEMALE"
    /
 C0011201
  1 "YES"
  0 "NO"
    /
 C0011203
  1 "Yes"
  0 "No"
    /
 C0011205
  1 "Yes"
  0 "No"
    /
 C0011207
  1 "Yes"
  0 "No"
    /
 C0011209
  1 "Yes"
  0 "No"
    /
 C0011211
  1 "Yes"
  0 "No"
    /
 C0733300
  0 "0: < 1"
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  15 "15"
  16 "16"
  1 "1"
  2 "2"
  3 "3"
  4 "4"
  5 "5"
  6 "6"
  7 "7"
  8 "8"
    /
 C0945000
  0 "0: < 1"
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  15 "15"
  16 "16"
  1 "1"
  2 "2"
  3 "3"
  4 "4"
  5 "5"
  6 "6"
  7 "7"
  8 "8"
    /
 C1140400
  0 "0: < 1"
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  15 "15"
  16 "16"
  1 "1"
  2 "2"
  3 "3"
  4 "4"
  5 "5"
  6 "6"
  7 "7"
  8 "8"
    /
 C1370500
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  95 "95: Never"
    /
 C1592600
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  95 "95: Never"
    /
 C1933400
  0 "0: Less than 1 year old"
  9 "9"
  10 "10"
  11 "11"
  12 "12"
  13 "13"
  14 "14"
  95 "95: Never"
  1 "1"
  2 "2"
  3 "3"
  4 "4"
  5 "5"
  6 "6"
  7 "7"
  8 "8"
    /
 C2472600
  0 "0: Less than 1 year old"
  9 "9: years old"
  10 "10: years old"
  11 "11: years old"
  12 "12: years old"
  13 "13: years old"
  14 "14: years old"
  95 "95: Never"
  1 "1: year old"
  2 "2: years old"
  3 "3: years old"
  4 "4: years old"
  5 "5: years old"
  6 "6: years old"
  7 "7: years old"
  8 "8: years old"
    /
 C2770600
  0 "0: Less than 1 year old"
  9 "9: years old"
  10 "10: years old"
  11 "11: years old"
  12 "12: years old"
  13 "13: years old"
  14 "14: years old"
  95 "95: Never"
  1 "1: year old"
  2 "2: years old"
  3 "3: years old"
  4 "4: years old"
  5 "5: years old"
  6 "6: years old"
  7 "7: years old"
  8 "8: years old"
    /
 C3050500
  0 "0: Less than 1 year old"
  9 "9: years old"
  10 "10: years old"
  11 "11: years old"
  12 "12: years old"
  13 "13: years old"
  14 "14: years old"
  1 "1: year old"
  2 "2: years old"
  3 "3: years old"
  4 "4: years old"
  5 "5: years old"
  6 "6: years old"
  7 "7: years old"
  8 "8: years old"
    /
 Y0364900
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  10 "10: 10 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
 Y0658900
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  10 "10: 10 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
 Y0954900
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  10 "10: 10 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
 Y1168700
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  26 "26: 26 YEARS OLD"
  27 "27: 27 YEARS OLD"
  10 "10: 10 YEARS OLD"
  28 "28: 28 YEARS OLD"
  29 "29: 29 YEARS OLD"
  30 "30: 30 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
 Y1407900
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  26 "26: 26 YEARS OLD"
  27 "27: 27 YEARS OLD"
  10 "10: 10 YEARS OLD"
  28 "28: 28 YEARS OLD"
  29 "29: 29 YEARS OLD"
  30 "30: 30 YEARS OLD"
  31 "31: 31 YEARS OLD"
  32 "32: 32 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
 Y1659200
  1 "1: CONDITION APPLIES"
  0 "0: CONDITION DOES NOT APPLY"
    /
 Y1659300
  18 "18: 18 YEARS OLD"
  19 "19: 19 YEARS OLD"
  20 "20: 20 YEARS OLD"
  21 "21: 21 YEARS OLD"
  22 "22: 22 YEARS OLD"
  23 "23: 23 YEARS OLD"
  24 "24: 24 YEARS OLD"
  25 "25: 25 YEARS OLD"
  26 "26: 26 YEARS OLD"
  27 "27: 27 YEARS OLD"
  10 "10: 10 YEARS OLD"
  28 "28: 28 YEARS OLD"
  29 "29: 29 YEARS OLD"
  30 "30: 30 YEARS OLD"
  31 "31: 31 YEARS OLD"
  32 "32: 32 YEARS OLD"
  33 "33: 33 YEARS OLD"
  34 "34: 34 YEARS OLD"
  35 "35: 35 YEARS OLD"
  36 "36: 36 YEARS OLD"
  11 "11: 11 YEARS OLD"
  12 "12: 12 YEARS OLD"
  13 "13: 13 YEARS OLD"
  14 "14: 14 YEARS OLD"
  15 "15: 15 YEARS OLD"
  16 "16: 16 YEARS OLD"
  17 "17: 17 YEARS OLD"
    /
    .
* *start* Crosswalk for Reference number & Question name
    C0000100    CPUBID
    C0000200    MPUBID
    C0005300    CRACE
    C0005400    CSEX
    C0011201    YAINTV1994
    C0011203    YAINTV1996
    C0011205    YAINTV1998
    C0011207    YAINTV2000
    C0011209    YAINTV2002
    C0011211    YAINTV2004
    C0733300    CS884252
    C0945000    CS906665
    C1140400    CS926865
    C1370500    CS942649
    C1592600    CS960945
    C1933400    CS98063
    C2472600    CSAS063
    C2770600    CSAS063
    C3050500    CSAS063
    Y0364900    YA940413
    Y0658900    YA960355
    Y0954900    YA98032
    Y1168700    YASR-25
    Y1407900    YASR-25
    Y1659200    YASR-24B
    Y1659300    YASR-25
      * *finish*.
descriptives all.
