options pagesize=59 linesize=80 nocenter;
data one;
infile 'C:\missingdataeg04-469a68600c417.dat' lrecl=39 missover DSD DLM=' ';
input
  C0000100
  C0000200
  C0011202
  C0011203
  C0011210
  C0011211
  Y0652900
  Y1464100
  Y1464200
  Y1464300
  ;
/*array chrrlst 
  C0000100 -- Y1464300
  ;
do over chrrlst;
  if chrrlst = -5 then chrrlst = .A;
  if chrrlst = -4 then chrrlst = .B;
  if chrrlst = -3 then chrrlst = .C;
  if chrrlst = -2 then chrrlst = .D;
  if chrrlst = -1 then chrrlst = .E;
  if chrrlst = -7 then chrrlst = .F;
  end;*/
label C0000100 = "ID CODE OF CHILD";
label C0000200 = "ID CODE OF MOTHER OF CHILD";
label C0011202 = "IS CHILD ELIGIBLE FOR YA INTERVIEW? 96";
label C0011203 = "WAS CHILD INTERVIEWED AS YOUNG ADULT? 96";
label C0011210 = "IS CHILD ELIGIBLE FOR YA INTERVIEW? 2004";
label C0011211 = "WAS CHILD INTERVWD AS YOUNG ADULT? 2004";
label Y0652900 = "AGE AT FIRST DRINK OF BEER/WINE/LIQU  96";
label Y1464100 = "CHECK: R REPTD DATING IN PREV SUR 2004";
label Y1464200 = "HAS R STARTED DATING? 2004";
label Y1464300 = "AGE IN YEARS WHEN R STARTED DATING 2004";
/* *start* Crosswalk for Reference number & Question name
    C0000100    CPUBID
    C0000200    MPUBID
    C0011202    YASAMP1996
    C0011203    YAINTV1996
    C0011210    YASAMP2004
    C0011211    YAINTV2004
    Y0652900    YA960151
    Y1464100    Q3-0E
    Y1464200    Q3-1
    Y1464300    Q3-1A
      * *finish* */
      
age1stdrink96=Y0652900;
if Y0652900=-7 and C0011202<=0 then age1stdrink96=-9;/*Not eligible at all*/
else if Y0652900=-7 and C0011202=1 and C0011203=0 then age1stdrink96=-8;/*Eligible but not interviewed*/
else if Y0652900=-7 and C0011202=1 and C0011203=1 then age1stdrink96=-4;/*Completed CAPI but not YASRB*/

      
      
proc format;
value agrdrf
  -9='Not eligible for YA'
  -8='Eligible but not interviewed'
  -4='Completed CAPI, no YASRB'
  -3='Invalid Skip'
  -2="Don't Know"
  0-9='Less than 10'
  10-12='10 to 12'
  13-15='13 to 15'
  16-18='16 to 18'
  19-25='Over 18'
  94='Left blank'
  95='Nondrinker';
    
proc freq;
  tables age1stdrink96;
  format age1stdrink96 agrdrf.;
run;
