options pagesize=59 linesize=80 nocenter;
* input respondent unemployment array from 1993 to 2000;
data unemp;
infile 'c:/datasets/unempr_1993_2000.dat' lrecl=500 missover DSD DLM=' ';
input
   UNEMPR_JAN93_AMT_REVISED          /*   G0117200  */
   UNEMPR_FEB93_AMT_REVISED          /*   G0117300  */
   UNEMPR_MAR93_AMT_REVISED          /*   G0117400  */
   UNEMPR_APR93_AMT_REVISED          /*   G0117500  */
   UNEMPR_MAY93_AMT_REVISED          /*   G0117600  */
   UNEMPR_JUN93_AMT_REVISED          /*   G0117700  */
   UNEMPR_JUL93_AMT_REVISED          /*   G0117800  */
   UNEMPR_AUG93_AMT_REVISED          /*   G0117900  */
   UNEMPR_SEP93_AMT_REVISED          /*   G0118000  */
   UNEMPR_OCT93_AMT_REVISED          /*   G0118100  */
   UNEMPR_NOV93_AMT_REVISED          /*   G0118200  */
   UNEMPR_DEC93_AMT_REVISED          /*   G0118300  */
   UNEMPR_JAN94_AMT_REVISED          /*   G0118500  */
   UNEMPR_FEB94_AMT_REVISED          /*   G0118600  */
   UNEMPR_MAR94_AMT_REVISED          /*   G0118700  */
   UNEMPR_APR94_AMT_REVISED          /*   G0118800  */
   UNEMPR_MAY94_AMT_REVISED          /*   G0118900  */
   UNEMPR_JUN94_AMT_REVISED          /*   G0119000  */
   UNEMPR_JUL94_AMT_REVISED          /*   G0119100  */
   UNEMPR_AUG94_AMT_REVISED          /*   G0119200  */
   UNEMPR_SEP94_AMT_REVISED          /*   G0119300  */
   UNEMPR_OCT94_AMT_REVISED          /*   G0119400  */
   UNEMPR_NOV94_AMT_REVISED          /*   G0119500  */
   UNEMPR_DEC94_AMT_REVISED          /*   G0119600  */
   UNEMPR_JAN95_AMT_REVISED          /*   G0132800  */
   UNEMPR_FEB95_AMT_REVISED          /*   G0132900  */
   UNEMPR_MAR95_AMT_REVISED          /*   G0133000  */
   UNEMPR_APR95_AMT_REVISED          /*   G0133100  */
   UNEMPR_MAY95_AMT_REVISED          /*   G0133200  */
   UNEMPR_JUN95_AMT_REVISED          /*   G0133300  */
   UNEMPR_JUL95_AMT_REVISED          /*   G0133400  */
   UNEMPR_AUG95_AMT_REVISED          /*   G0133500  */
   UNEMPR_SEP95_AMT_REVISED          /*   G0133600  */
   UNEMPR_OCT95_AMT_REVISED          /*   G0133700  */
   UNEMPR_NOV95_AMT_REVISED          /*   G0133800  */
   UNEMPR_DEC95_AMT_REVISED          /*   G0133900  */
   UNEMPR_JAN96_AMT_REVISED          /*   G0134000  */
   UNEMPR_FEB96_AMT_REVISED          /*   G0134100  */
   UNEMPR_MAR96_AMT_REVISED          /*   G0134200  */
   UNEMPR_APR96_AMT_REVISED          /*   G0134300  */
   UNEMPR_MAY96_AMT_REVISED          /*   G0134400  */
   UNEMPR_JUN96_AMT_REVISED          /*   G0134500  */
   UNEMPR_JUL96_AMT_REVISED          /*   G0134600  */
   UNEMPR_AUG96_AMT_REVISED          /*   G0134700  */
   UNEMPR_SEP96_AMT_REVISED          /*   G0134800  */
   UNEMPR_OCT96_AMT_REVISED          /*   G0134900  */
   UNEMPR_NOV96_AMT_REVISED          /*   G0135000  */
   UNEMPR_DEC96_AMT_REVISED          /*   G0135100  */
   UNEMPR_JAN97_AMT_REVISED          /*   G0148400  */
   UNEMPR_FEB97_AMT_REVISED          /*   G0148500  */
   UNEMPR_MAR97_AMT_REVISED          /*   G0148600  */
   UNEMPR_APR97_AMT_REVISED          /*   G0148700  */
   UNEMPR_MAY97_AMT_REVISED          /*   G0148800  */
   UNEMPR_JUN97_AMT_REVISED          /*   G0148900  */
   UNEMPR_JUL97_AMT_REVISED          /*   G0149000  */
   UNEMPR_AUG97_AMT_REVISED          /*   G0149100  */
   UNEMPR_SEP97_AMT_REVISED          /*   G0149200  */
   UNEMPR_OCT97_AMT_REVISED          /*   G0149300  */
   UNEMPR_NOV97_AMT_REVISED          /*   G0149400  */
   UNEMPR_DEC97_AMT_REVISED          /*   G0149500  */
   UNEMPR_JAN98_AMT_REVISED          /*   G0149600  */
   UNEMPR_FEB98_AMT_REVISED          /*   G0149700  */
   UNEMPR_MAR98_AMT_REVISED          /*   G0149800  */
   UNEMPR_APR98_AMT_REVISED          /*   G0149900  */
   UNEMPR_MAY98_AMT_REVISED          /*   G0150000  */
   UNEMPR_JUN98_AMT_REVISED          /*   G0150100  */
   UNEMPR_JUL98_AMT_REVISED          /*   G0150200  */
   UNEMPR_AUG98_AMT_REVISED          /*   G0150300  */
   UNEMPR_SEP98_AMT_REVISED          /*   G0150400  */
   UNEMPR_OCT98_AMT_REVISED          /*   G0150500  */
   UNEMPR_NOV98_AMT_REVISED          /*   G0150600  */
   UNEMPR_DEC98_AMT_REVISED          /*   G0150700  */
   UNEMPR_JAN99_AMT_REVISED          /*   G0164000  */
   UNEMPR_FEB99_AMT_REVISED          /*   G0164100  */
   UNEMPR_MAR99_AMT_REVISED          /*   G0164200  */
   UNEMPR_APR99_AMT_REVISED          /*   G0164300  */
   UNEMPR_MAY99_AMT_REVISED          /*   G0164400  */
   UNEMPR_JUN99_AMT_REVISED          /*   G0164500  */
   UNEMPR_JUL99_AMT_REVISED          /*   G0164600  */
   UNEMPR_AUG99_AMT_REVISED          /*   G0164700  */
   UNEMPR_SEP99_AMT_REVISED          /*   G0164800  */
   UNEMPR_OCT99_AMT_REVISED          /*   G0164900  */
   UNEMPR_NOV99_AMT_REVISED          /*   G0165000  */
   UNEMPR_DEC99_AMT_REVISED          /*   G0165100  */
   UNEMPR_JAN00_AMT_REVISED          /*   G0165200  */
   UNEMPR_FEB00_AMT_REVISED          /*   G0165300  */
   UNEMPR_MAR00_AMT_REVISED          /*   G0165400  */
   UNEMPR_APR00_AMT_REVISED          /*   G0165500  */
   UNEMPR_MAY00_AMT_REVISED          /*   G0165600  */
   UNEMPR_JUN00_AMT_REVISED          /*   G0165700  */
   UNEMPR_JUL00_AMT_REVISED          /*   G0165800  */
   UNEMPR_AUG00_AMT_REVISED          /*   G0165900  */
   UNEMPR_SEP00_AMT_REVISED          /*   G0166000  */
   UNEMPR_OCT00_AMT_REVISED          /*   G0166100  */
   UNEMPR_NOV00_AMT_REVISED          /*   G0166200  */
   UNEMPR_DEC00_AMT_REVISED          /*   G0166300  */
   CASEID                            /*   R0000100  */
  ;
/* commented out recoding of missing values
array chrrlst 
  unempr_jan93_amt_revised -- caseid
  ;
do over chrrlst;
  if chrrlst = -5 then chrrlst = .A;
  if chrrlst = -4 then chrrlst = .B;
  if chrrlst = -3 then chrrlst = .C;
  if chrrlst = -2 then chrrlst = .D;
  if chrrlst = -1 then chrrlst = .E;
  end;
*/
label UNEMPR_JAN93_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 93  94";
label UNEMPR_FEB93_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 93  94";
label UNEMPR_MAR93_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 93  94";
label UNEMPR_APR93_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 93  94";
label UNEMPR_MAY93_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 93  94";
label UNEMPR_JUN93_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 93  94";
label UNEMPR_JUL93_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 93  94";
label UNEMPR_AUG93_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 93  94";
label UNEMPR_SEP93_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 93  94";
label UNEMPR_OCT93_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 93  94";
label UNEMPR_NOV93_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 93  94";
label UNEMPR_DEC93_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 93  94";
label UNEMPR_JAN94_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 94   94";
label UNEMPR_FEB94_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 94  94";
label UNEMPR_MAR94_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 94  94";
label UNEMPR_APR94_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 94  94";
label UNEMPR_MAY94_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 94  94";
label UNEMPR_JUN94_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 94  94";
label UNEMPR_JUL94_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 94  94";
label UNEMPR_AUG94_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 94  94";
label UNEMPR_SEP94_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 94  94";
label UNEMPR_OCT94_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 94  94";
label UNEMPR_NOV94_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 94  94";
label UNEMPR_DEC94_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 94  94";
label UNEMPR_JAN95_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 95  96";
label UNEMPR_FEB95_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 95  96";
label UNEMPR_MAR95_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 95  96";
label UNEMPR_APR95_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 95  96";
label UNEMPR_MAY95_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 95  96";
label UNEMPR_JUN95_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 95  96";
label UNEMPR_JUL95_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 95  96";
label UNEMPR_AUG95_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 95  96";
label UNEMPR_SEP95_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 95  96";
label UNEMPR_OCT95_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 95  96";
label UNEMPR_NOV95_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 95  96";
label UNEMPR_DEC95_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 95  96";
label UNEMPR_JAN96_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 96   96";
label UNEMPR_FEB96_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 96  96";
label UNEMPR_MAR96_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 96  96";
label UNEMPR_APR96_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 96  96";
label UNEMPR_MAY96_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 96  96";
label UNEMPR_JUN96_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 96  96";
label UNEMPR_JUL96_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 96  96";
label UNEMPR_AUG96_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 96  96";
label UNEMPR_SEP96_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 96  96";
label UNEMPR_OCT96_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 94  96";
label UNEMPR_NOV96_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 96  96";
label UNEMPR_DEC96_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 96  96";
label UNEMPR_JAN97_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 97";
label UNEMPR_FEB97_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 97";
label UNEMPR_MAR97_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 97";
label UNEMPR_APR97_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 97";
label UNEMPR_MAY97_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 97";
label UNEMPR_JUN97_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 97";
label UNEMPR_JUL97_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 97";
label UNEMPR_AUG97_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 97";
label UNEMPR_SEP97_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 97";
label UNEMPR_OCT97_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 97";
label UNEMPR_NOV97_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 97";
label UNEMPR_DEC97_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 97";
label UNEMPR_JAN98_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 98";
label UNEMPR_FEB98_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 98";
label UNEMPR_MAR98_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 98";
label UNEMPR_APR98_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 98";
label UNEMPR_MAY98_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 98";
label UNEMPR_JUN98_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 98";
label UNEMPR_JUL98_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 98";
label UNEMPR_AUG98_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 98";
label UNEMPR_SEP98_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 98";
label UNEMPR_OCT98_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 98";
label UNEMPR_NOV98_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 98";
label UNEMPR_DEC98_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 98";
label UNEMPR_JAN99_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 99";
label UNEMPR_FEB99_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 99";
label UNEMPR_MAR99_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 99";
label UNEMPR_APR99_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 99";
label UNEMPR_MAY99_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 99";
label UNEMPR_JUN99_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 99";
label UNEMPR_JUL99_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 99";
label UNEMPR_AUG99_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 99";
label UNEMPR_SEP99_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 99";
label UNEMPR_OCT99_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 99";
label UNEMPR_NOV99_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 99";
label UNEMPR_DEC99_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 99";
label UNEMPR_JAN00_AMT_REVISED = "AMT UNEMP RCVD PER WK JAN. 00";
label UNEMPR_FEB00_AMT_REVISED = "AMT UNEMP RCVD PER WK FEB. 00";
label UNEMPR_MAR00_AMT_REVISED = "AMT UNEMP RCVD PER WK MAR. 00";
label UNEMPR_APR00_AMT_REVISED = "AMT UNEMP RCVD PER WK APR. 00";
label UNEMPR_MAY00_AMT_REVISED = "AMT UNEMP RCVD PER WK MAY 00";
label UNEMPR_JUN00_AMT_REVISED = "AMT UNEMP RCVD PER WK JUN. 00";
label UNEMPR_JUL00_AMT_REVISED = "AMT UNEMP RCVD PER WK JUL. 00";
label UNEMPR_AUG00_AMT_REVISED = "AMT UNEMP RCVD PER WK AUG. 00";
label UNEMPR_SEP00_AMT_REVISED = "AMT UNEMP RCVD PER WK SEP. 00";
label UNEMPR_OCT00_AMT_REVISED = "AMT UNEMP RCVD PER WK OCT. 00";
label UNEMPR_NOV00_AMT_REVISED = "AMT UNEMP RCVD PER WK NOV. 00";
label UNEMPR_DEC00_AMT_REVISED = "AMT UNEMP RCVD PER WK DEC. 00";
label CASEID                   = "ID# (1-12686) 79";
proc format;
value vx0f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx1f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx2f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx3f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx4f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx5f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx6f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx7f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx8f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx9f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx10f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx11f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx12f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx13f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx14f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx15f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx16f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx17f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx18f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx19f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx20f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx21f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx22f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx23f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx24f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx25f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx26f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx27f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx28f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx29f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx30f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx31f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx32f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx33f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx34f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx35f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx36f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx37f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx38f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx39f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx40f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx41f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx42f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx43f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx44f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx45f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx46f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx47f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx48f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx49f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx50f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx51f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx52f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx53f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx54f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx55f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx56f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx57f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx58f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx59f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx60f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx61f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx62f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx63f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx64f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx65f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx66f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx67f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx68f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx69f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx70f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx71f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx72f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx73f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx74f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx75f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx76f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx77f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx78f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx79f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx80f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx81f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx82f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx83f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx84f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx85f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx86f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx87f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx88f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx89f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx90f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx91f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx92f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx93f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx94f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
value vx95f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-99999999='1000 TO 99999999: 1000+'
    ;
/*
  format UNEMPR_JAN93_AMT_REVISED vx0f.;
  format UNEMPR_FEB93_AMT_REVISED vx1f.;
  format UNEMPR_MAR93_AMT_REVISED vx2f.;
  format UNEMPR_APR93_AMT_REVISED vx3f.;
  format UNEMPR_MAY93_AMT_REVISED vx4f.;
  format UNEMPR_JUN93_AMT_REVISED vx5f.;
  format UNEMPR_JUL93_AMT_REVISED vx6f.;
  format UNEMPR_AUG93_AMT_REVISED vx7f.;
  format UNEMPR_SEP93_AMT_REVISED vx8f.;
  format UNEMPR_OCT93_AMT_REVISED vx9f.;
  format UNEMPR_NOV93_AMT_REVISED vx10f.;
  format UNEMPR_DEC93_AMT_REVISED vx11f.;
  format UNEMPR_JAN94_AMT_REVISED vx12f.;
  format UNEMPR_FEB94_AMT_REVISED vx13f.;
  format UNEMPR_MAR94_AMT_REVISED vx14f.;
  format UNEMPR_APR94_AMT_REVISED vx15f.;
  format UNEMPR_MAY94_AMT_REVISED vx16f.;
  format UNEMPR_JUN94_AMT_REVISED vx17f.;
  format UNEMPR_JUL94_AMT_REVISED vx18f.;
  format UNEMPR_AUG94_AMT_REVISED vx19f.;
  format UNEMPR_SEP94_AMT_REVISED vx20f.;
  format UNEMPR_OCT94_AMT_REVISED vx21f.;
  format UNEMPR_NOV94_AMT_REVISED vx22f.;
  format UNEMPR_DEC94_AMT_REVISED vx23f.;
  format UNEMPR_JAN95_AMT_REVISED vx24f.;
  format UNEMPR_FEB95_AMT_REVISED vx25f.;
  format UNEMPR_MAR95_AMT_REVISED vx26f.;
  format UNEMPR_APR95_AMT_REVISED vx27f.;
  format UNEMPR_MAY95_AMT_REVISED vx28f.;
  format UNEMPR_JUN95_AMT_REVISED vx29f.;
  format UNEMPR_JUL95_AMT_REVISED vx30f.;
  format UNEMPR_AUG95_AMT_REVISED vx31f.;
  format UNEMPR_SEP95_AMT_REVISED vx32f.;
  format UNEMPR_OCT95_AMT_REVISED vx33f.;
  format UNEMPR_NOV95_AMT_REVISED vx34f.;
  format UNEMPR_DEC95_AMT_REVISED vx35f.;
  format UNEMPR_JAN96_AMT_REVISED vx36f.;
  format UNEMPR_FEB96_AMT_REVISED vx37f.;
  format UNEMPR_MAR96_AMT_REVISED vx38f.;
  format UNEMPR_APR96_AMT_REVISED vx39f.;
  format UNEMPR_MAY96_AMT_REVISED vx40f.;
  format UNEMPR_JUN96_AMT_REVISED vx41f.;
  format UNEMPR_JUL96_AMT_REVISED vx42f.;
  format UNEMPR_AUG96_AMT_REVISED vx43f.;
  format UNEMPR_SEP96_AMT_REVISED vx44f.;
  format UNEMPR_OCT96_AMT_REVISED vx45f.;
  format UNEMPR_NOV96_AMT_REVISED vx46f.;
  format UNEMPR_DEC96_AMT_REVISED vx47f.;
  format UNEMPR_JAN97_AMT_REVISED vx48f.;
  format UNEMPR_FEB97_AMT_REVISED vx49f.;
  format UNEMPR_MAR97_AMT_REVISED vx50f.;
  format UNEMPR_APR97_AMT_REVISED vx51f.;
  format UNEMPR_MAY97_AMT_REVISED vx52f.;
  format UNEMPR_JUN97_AMT_REVISED vx53f.;
  format UNEMPR_JUL97_AMT_REVISED vx54f.;
  format UNEMPR_AUG97_AMT_REVISED vx55f.;
  format UNEMPR_SEP97_AMT_REVISED vx56f.;
  format UNEMPR_OCT97_AMT_REVISED vx57f.;
  format UNEMPR_NOV97_AMT_REVISED vx58f.;
  format UNEMPR_DEC97_AMT_REVISED vx59f.;
  format UNEMPR_JAN98_AMT_REVISED vx60f.;
  format UNEMPR_FEB98_AMT_REVISED vx61f.;
  format UNEMPR_MAR98_AMT_REVISED vx62f.;
  format UNEMPR_APR98_AMT_REVISED vx63f.;
  format UNEMPR_MAY98_AMT_REVISED vx64f.;
  format UNEMPR_JUN98_AMT_REVISED vx65f.;
  format UNEMPR_JUL98_AMT_REVISED vx66f.;
  format UNEMPR_AUG98_AMT_REVISED vx67f.;
  format UNEMPR_SEP98_AMT_REVISED vx68f.;
  format UNEMPR_OCT98_AMT_REVISED vx69f.;
  format UNEMPR_NOV98_AMT_REVISED vx70f.;
  format UNEMPR_DEC98_AMT_REVISED vx71f.;
  format UNEMPR_JAN99_AMT_REVISED vx72f.;
  format UNEMPR_FEB99_AMT_REVISED vx73f.;
  format UNEMPR_MAR99_AMT_REVISED vx74f.;
  format UNEMPR_APR99_AMT_REVISED vx75f.;
  format UNEMPR_MAY99_AMT_REVISED vx76f.;
  format UNEMPR_JUN99_AMT_REVISED vx77f.;
  format UNEMPR_JUL99_AMT_REVISED vx78f.;
  format UNEMPR_AUG99_AMT_REVISED vx79f.;
  format UNEMPR_SEP99_AMT_REVISED vx80f.;
  format UNEMPR_OCT99_AMT_REVISED vx81f.;
  format UNEMPR_NOV99_AMT_REVISED vx82f.;
  format UNEMPR_DEC99_AMT_REVISED vx83f.;
  format UNEMPR_JAN00_AMT_REVISED vx84f.;
  format UNEMPR_FEB00_AMT_REVISED vx85f.;
  format UNEMPR_MAR00_AMT_REVISED vx86f.;
  format UNEMPR_APR00_AMT_REVISED vx87f.;
  format UNEMPR_MAY00_AMT_REVISED vx88f.;
  format UNEMPR_JUN00_AMT_REVISED vx89f.;
  format UNEMPR_JUL00_AMT_REVISED vx90f.;
  format UNEMPR_AUG00_AMT_REVISED vx91f.;
  format UNEMPR_SEP00_AMT_REVISED vx92f.;
  format UNEMPR_OCT00_AMT_REVISED vx93f.;
  format UNEMPR_NOV00_AMT_REVISED vx94f.;
  format UNEMPR_DEC00_AMT_REVISED vx95f.;
*/                         
/* *start* Crosswalk for Reference number & Question name
    G0117200    UNEMPR-JAN93-AMT_REVISED
    G0117300    UNEMPR-FEB93-AMT_REVISED
    G0117400    UNEMPR-MAR93-AMT_REVISED
    G0117500    UNEMPR-APR93-AMT_REVISED
    G0117600    UNEMPR-MAY93-AMT_REVISED
    G0117700    UNEMPR-JUN93-AMT_REVISED
    G0117800    UNEMPR-JUL93-AMT_REVISED
    G0117900    UNEMPR-AUG93-AMT_REVISED
    G0118000    UNEMPR-SEP93-AMT_REVISED
    G0118100    UNEMPR-OCT93-AMT_REVISED
    G0118200    UNEMPR-NOV93-AMT_REVISED
    G0118300    UNEMPR-DEC93-AMT_REVISED
    G0118500    UNEMPR-JAN94-AMT_REVISED
    G0118600    UNEMPR-FEB94-AMT_REVISED
    G0118700    UNEMPR-MAR94-AMT_REVISED
    G0118800    UNEMPR-APR94-AMT_REVISED
    G0118900    UNEMPR-MAY94-AMT_REVISED
    G0119000    UNEMPR-JUN94-AMT_REVISED
    G0119100    UNEMPR-JUL94-AMT_REVISED
    G0119200    UNEMPR-AUG94-AMT_REVISED
    G0119300    UNEMPR-SEP94-AMT_REVISED
    G0119400    UNEMPR-OCT94-AMT_REVISED
    G0119500    UNEMPR-NOV94-AMT_REVISED
    G0119600    UNEMPR-DEC94-AMT_REVISED
    G0132800    UNEMPR-JAN95-AMT_REVISED
    G0132900    UNEMPR-FEB95-AMT_REVISED
    G0133000    UNEMPR-MAR95-AMT_REVISED
    G0133100    UNEMPR-APR95-AMT_REVISED
    G0133200    UNEMPR-MAY95-AMT_REVISED
    G0133300    UNEMPR-JUN95-AMT_REVISED
    G0133400    UNEMPR-JUL95-AMT_REVISED
    G0133500    UNEMPR-AUG95-AMT_REVISED
    G0133600    UNEMPR-SEP95-AMT_REVISED
    G0133700    UNEMPR-OCT95-AMT_REVISED
    G0133800    UNEMPR-NOV95-AMT_REVISED
    G0133900    UNEMPR-DEC95-AMT_REVISED
    G0134000    UNEMPR-JAN96-AMT_REVISED
    G0134100    UNEMPR-FEB96-AMT_REVISED
    G0134200    UNEMPR-MAR96-AMT_REVISED
    G0134300    UNEMPR-APR96-AMT_REVISED
    G0134400    UNEMPR-MAY96-AMT_REVISED
    G0134500    UNEMPR-JUN96-AMT_REVISED
    G0134600    UNEMPR-JUL96-AMT_REVISED
    G0134700    UNEMPR-AUG96-AMT_REVISED
    G0134800    UNEMPR-SEP96-AMT_REVISED
    G0134900    UNEMPR-OCT96-AMT_REVISED
    G0135000    UNEMPR-NOV96-AMT_REVISED
    G0135100    UNEMPR-DEC96-AMT_REVISED
    G0148400    UNEMPR-JAN97-AMT_REVISED
    G0148500    UNEMPR-FEB97-AMT_REVISED
    G0148600    UNEMPR-MAR97-AMT_REVISED
    G0148700    UNEMPR-APR97-AMT_REVISED
    G0148800    UNEMPR-MAY97-AMT_REVISED
    G0148900    UNEMPR-JUN97-AMT_REVISED
    G0149000    UNEMPR-JUL97-AMT_REVISED
    G0149100    UNEMPR-AUG97-AMT_REVISED
    G0149200    UNEMPR-SEP97-AMT_REVISED
    G0149300    UNEMPR-OCT97-AMT_REVISED
    G0149400    UNEMPR-NOV97-AMT_REVISED
    G0149500    UNEMPR-DEC97-AMT_REVISED
    G0149600    UNEMPR-JAN98-AMT_REVISED
    G0149700    UNEMPR-FEB98-AMT_REVISED
    G0149800    UNEMPR-MAR98-AMT_REVISED
    G0149900    UNEMPR-APR98-AMT_REVISED
    G0150000    UNEMPR-MAY98-AMT_REVISED
    G0150100    UNEMPR-JUN98-AMT_REVISED
    G0150200    UNEMPR-JUL98-AMT_REVISED
    G0150300    UNEMPR-AUG98-AMT_REVISED
    G0150400    UNEMPR-SEP98-AMT_REVISED
    G0150500    UNEMPR-OCT98-AMT_REVISED
    G0150600    UNEMPR-NOV98-AMT_REVISED
    G0150700    UNEMPR-DEC98-AMT_REVISED
    G0164000    UNEMPR-JAN99-AMT_REVISED
    G0164100    UNEMPR-FEB99-AMT_REVISED
    G0164200    UNEMPR-MAR99-AMT_REVISED
    G0164300    UNEMPR-APR99-AMT_REVISED
    G0164400    UNEMPR-MAY99-AMT_REVISED
    G0164500    UNEMPR-JUN99-AMT_REVISED
    G0164600    UNEMPR-JUL99-AMT_REVISED
    G0164700    UNEMPR-AUG99-AMT_REVISED
    G0164800    UNEMPR-SEP99-AMT_REVISED
    G0164900    UNEMPR-OCT99-AMT_REVISED
    G0165000    UNEMPR-NOV99-AMT_REVISED
    G0165100    UNEMPR-DEC99-AMT_REVISED
    G0165200    UNEMPR-JAN00-AMT_REVISED
    G0165300    UNEMPR-FEB00-AMT_REVISED
    G0165400    UNEMPR-MAR00-AMT_REVISED
    G0165500    UNEMPR-APR00-AMT_REVISED
    G0165600    UNEMPR-MAY00-AMT_REVISED
    G0165700    UNEMPR-JUN00-AMT_REVISED
    G0165800    UNEMPR-JUL00-AMT_REVISED
    G0165900    UNEMPR-AUG00-AMT_REVISED
    G0166000    UNEMPR-SEP00-AMT_REVISED
    G0166100    UNEMPR-OCT00-AMT_REVISED
    G0166200    UNEMPR-NOV00-AMT_REVISED
    G0166300    UNEMPR-DEC00-AMT_REVISED
    R0000100    CASEID
      * *finish* */
proc means n mean min max;
run;

* declare arrays - compute quarterly unemployment arrays from 1993 to 2000;
data compute1;
set unemp;
* array months of unemployment receipt quarterly for calendar years 1993 to 2000;
array quarter1_1993u (i) unempr_jan93_amt_revised unempr_feb93_amt_revised unempr_mar93_amt_revised;
array quarter2_1993u (i) unempr_apr93_amt_revised unempr_may93_amt_revised unempr_jun93_amt_revised;
array quarter3_1993u (i) unempr_jul93_amt_revised unempr_aug93_amt_revised unempr_sep93_amt_revised;
array quarter4_1993u (i) unempr_oct93_amt_revised unempr_nov93_amt_revised unempr_dec93_amt_revised;
array quarter1_1994u (i) unempr_jan94_amt_revised unempr_feb94_amt_revised unempr_mar94_amt_revised;
array quarter2_1994u (i) unempr_apr94_amt_revised unempr_may94_amt_revised unempr_jun94_amt_revised;
array quarter3_1994u (i) unempr_jul94_amt_revised unempr_aug94_amt_revised unempr_sep94_amt_revised;
array quarter4_1994u (i) unempr_oct94_amt_revised unempr_nov94_amt_revised unempr_dec94_amt_revised;
array quarter1_1995u (i) unempr_jan95_amt_revised unempr_feb95_amt_revised unempr_mar95_amt_revised;
array quarter2_1995u (i) unempr_apr95_amt_revised unempr_may95_amt_revised unempr_jun95_amt_revised;
array quarter3_1995u (i) unempr_jul95_amt_revised unempr_aug95_amt_revised unempr_sep95_amt_revised;
array quarter4_1995u (i) unempr_oct95_amt_revised unempr_nov95_amt_revised unempr_dec95_amt_revised;
array quarter1_1996u (i) unempr_jan96_amt_revised unempr_feb96_amt_revised unempr_mar96_amt_revised;
array quarter2_1996u (i) unempr_apr96_amt_revised unempr_may96_amt_revised unempr_jun96_amt_revised;
array quarter3_1996u (i) unempr_jul96_amt_revised unempr_aug96_amt_revised unempr_sep96_amt_revised;
array quarter4_1996u (i) unempr_oct96_amt_revised unempr_nov96_amt_revised unempr_dec96_amt_revised;
array quarter1_1997u (i) unempr_jan97_amt_revised unempr_feb97_amt_revised unempr_mar97_amt_revised;
array quarter2_1997u (i) unempr_apr97_amt_revised unempr_may97_amt_revised unempr_jun97_amt_revised;
array quarter3_1997u (i) unempr_jul97_amt_revised unempr_aug97_amt_revised unempr_sep97_amt_revised;
array quarter4_1997u (i) unempr_oct97_amt_revised unempr_nov97_amt_revised unempr_dec97_amt_revised;
array quarter1_1998u (i) unempr_jan98_amt_revised unempr_feb98_amt_revised unempr_mar98_amt_revised;
array quarter2_1998u (i) unempr_apr98_amt_revised unempr_may98_amt_revised unempr_jun98_amt_revised;
array quarter3_1998u (i) unempr_jul98_amt_revised unempr_aug98_amt_revised unempr_sep98_amt_revised;
array quarter4_1998u (i) unempr_oct98_amt_revised unempr_nov98_amt_revised unempr_dec98_amt_revised;
array quarter1_1999u (i) unempr_jan99_amt_revised unempr_feb99_amt_revised unempr_mar99_amt_revised;
array quarter2_1999u (i) unempr_apr99_amt_revised unempr_may99_amt_revised unempr_jun99_amt_revised;
array quarter3_1999u (i) unempr_jul99_amt_revised unempr_aug99_amt_revised unempr_sep99_amt_revised;
array quarter4_1999u (i) unempr_oct99_amt_revised unempr_nov99_amt_revised unempr_dec99_amt_revised;
array quarter1_2000u (i) unempr_jan00_amt_revised unempr_feb00_amt_revised unempr_mar00_amt_revised;
array quarter2_2000u (i) unempr_apr00_amt_revised unempr_may00_amt_revised unempr_jun00_amt_revised;
array quarter3_2000u (i) unempr_jul00_amt_revised unempr_aug00_amt_revised unempr_sep00_amt_revised;
array quarter4_2000u (i) unempr_oct00_amt_revised unempr_nov00_amt_revised unempr_dec00_amt_revised;

* array of quarterly unemployment variables;
array quarters_u (j) quarter1_1993u quarter2_1993u quarter3_1993u quarter4_1993u
                     quarter1_1994u quarter2_1994u quarter3_1994u quarter4_1994u
                     quarter1_1995u quarter2_1995u quarter3_1995u quarter4_1995u
                     quarter1_1996u quarter2_1996u quarter3_1996u quarter4_1996u
                     quarter1_1997u quarter2_1997u quarter3_1997u quarter4_1997u
                     quarter1_1998u quarter2_1998u quarter3_1998u quarter4_1998u
                     quarter1_1999u quarter2_1999u quarter3_1999u quarter4_1999u
                     quarter1_2000u quarter2_2000u quarter3_2000u quarter4_2000u;

* array quarterly receipt of unemployment benefits - yes/no;
array quartersu_rcv (j) quarter1_rcv_1993u quarter2_rcv_1993u quarter3_rcv_1993u quarter4_rcv_1993u
                        quarter1_rcv_1994u quarter2_rcv_1994u quarter3_rcv_1994u quarter4_rcv_1994u
                        quarter1_rcv_1995u quarter2_rcv_1995u quarter3_rcv_1995u quarter4_rcv_1995u
                        quarter1_rcv_1996u quarter2_rcv_1996u quarter3_rcv_1996u quarter4_rcv_1996u
                        quarter1_rcv_1997u quarter2_rcv_1997u quarter3_rcv_1997u quarter4_rcv_1997u
                        quarter1_rcv_1998u quarter2_rcv_1998u quarter3_rcv_1998u quarter4_rcv_1998u
                        quarter1_rcv_1999u quarter2_rcv_1999u quarter3_rcv_1999u quarter4_rcv_1999u
                        quarter1_rcv_2000u quarter2_rcv_2000u quarter3_rcv_2000u quarter4_rcv_2000u;

* array quarterly amount of unemployment benfits;
array quartersu_amt (j) quarter1_amt_1993u quarter2_amt_1993u quarter3_amt_1993u quarter4_amt_1993u
                        quarter1_amt_1994u quarter2_amt_1994u quarter3_amt_1994u quarter4_amt_1994u
                        quarter1_amt_1995u quarter2_amt_1995u quarter3_amt_1995u quarter4_amt_1995u
                        quarter1_amt_1996u quarter2_amt_1996u quarter3_amt_1996u quarter4_amt_1996u
                        quarter1_amt_1997u quarter2_amt_1997u quarter3_amt_1997u quarter4_amt_1997u
                        quarter1_amt_1998u quarter2_amt_1998u quarter3_amt_1998u quarter4_amt_1998u
                        quarter1_amt_1999u quarter2_amt_1999u quarter3_amt_1999u quarter4_amt_1999u
                        quarter1_amt_2000u quarter2_amt_2000u quarter3_amt_2000u quarter4_amt_2000u;

* initialize quarterly receipt variable and amounts to 0;
do j = 1 to 32;
  quartersu_rcv = 0;
  quartersu_amt = 0;
end;

* compute quarterly receipt variable and quarterly receipt amounts;
do j = 1 to 32;
 do i = 1 to 3;
  if (quarters_u > 0) then do;
   quartersu_rcv = (quartersu_rcv + 1);
   quartersu_amt = (quartersu_amt + quarters_u);
  end;
  else if (quarters_u < 0 & quarters_u > -4) then do;
   quartersu_rcv = quarters_u;
   quartersu_amt = quarters_u;
   goto out1;
  end;
 end; 
end; out1:

proc means;
run;

* create sample of every 50 cases;
data sample50;
set compute1;
if (quarter1_rcv_1993u >=0 | quarter2_rcv_1993u >=0 | quarter3_rcv_1993u >=0 | quarter4_rcv_1993u >=0
    | quarter1_rcv_1994u >=0 | quarter2_rcv_1994u >=0 | quarter3_rcv_1994u >=0 | quarter4_rcv_1994u >=0
    | quarter1_rcv_1995u >=0 | quarter2_rcv_1995u >=0 | quarter3_rcv_1995u >=0 | quarter4_rcv_1995u >=0
    | quarter1_rcv_1996u >=0 | quarter2_rcv_1996u >=0 | quarter3_rcv_1996u >=0 | quarter4_rcv_1996u >=0
    | quarter1_rcv_1997u >=0 | quarter2_rcv_1997u >=0 | quarter3_rcv_1997u >=0 | quarter4_rcv_1997u >=0
    | quarter1_rcv_1998u >=0 | quarter2_rcv_1998u >=0 | quarter3_rcv_1998u >=0 | quarter4_rcv_1998u >=0
    | quarter1_rcv_1999u >=0 | quarter2_rcv_1999u >=0 | quarter3_rcv_1999u >=0 | quarter4_rcv_1999u >=0
    | quarter1_rcv_2000u >=0 | quarter2_rcv_2000u >=0 | quarter3_rcv_2000u >=0 | quarter4_rcv_2000u >=0);


if mod(_N_, 50) =0  then output sample50;

run;

* diagnostics - dump created quarterly unemployment variables and components for sample of 50;
data test1; 
set sample50;

proc print; var caseid quarter1_rcv_1993u quarter1_amt_1993u unempr_jan93_amt_revised unempr_feb93_amt_revised unempr_mar93_amt_revised;
proc print; var caseid quarter2_rcv_1993u quarter2_amt_1993u unempr_apr93_amt_revised unempr_may93_amt_revised unempr_jun93_amt_revised;
proc print; var caseid quarter3_rcv_1993u quarter3_amt_1993u unempr_jul93_amt_revised unempr_aug93_amt_revised unempr_sep93_amt_revised;
proc print; var caseid quarter4_rcv_1993u quarter4_amt_1993u unempr_oct93_amt_revised unempr_nov93_amt_revised unempr_dec93_amt_revised;
proc print; var caseid quarter1_rcv_1994u quarter1_amt_1994u unempr_jan94_amt_revised unempr_feb94_amt_revised unempr_mar94_amt_revised;
proc print; var caseid quarter2_rcv_1994u quarter2_amt_1994u unempr_apr94_amt_revised unempr_may94_amt_revised unempr_jun94_amt_revised;
proc print; var caseid quarter3_rcv_1994u quarter3_amt_1994u unempr_jul94_amt_revised unempr_aug94_amt_revised unempr_sep94_amt_revised;
proc print; var caseid quarter4_rcv_1994u quarter4_amt_1994u unempr_oct94_amt_revised unempr_nov94_amt_revised unempr_dec94_amt_revised;
proc print; var caseid quarter1_rcv_1995u quarter1_amt_1995u unempr_jan95_amt_revised unempr_feb95_amt_revised unempr_mar95_amt_revised;
proc print; var caseid quarter2_rcv_1995u quarter2_amt_1995u unempr_apr95_amt_revised unempr_may95_amt_revised unempr_jun95_amt_revised;
proc print; var caseid quarter3_rcv_1995u quarter3_amt_1995u unempr_jul95_amt_revised unempr_aug95_amt_revised unempr_sep95_amt_revised;
proc print; var caseid quarter4_rcv_1995u quarter4_amt_1995u unempr_oct95_amt_revised unempr_nov95_amt_revised unempr_dec95_amt_revised;
proc print; var caseid quarter1_rcv_1996u quarter1_amt_1996u unempr_jan96_amt_revised unempr_feb96_amt_revised unempr_mar96_amt_revised;
proc print; var caseid quarter2_rcv_1996u quarter2_amt_1996u unempr_apr96_amt_revised unempr_may96_amt_revised unempr_jun96_amt_revised;
proc print; var caseid quarter3_rcv_1996u quarter3_amt_1996u unempr_jul96_amt_revised unempr_aug96_amt_revised unempr_sep96_amt_revised;
proc print; var caseid quarter4_rcv_1996u quarter4_amt_1996u unempr_oct96_amt_revised unempr_nov96_amt_revised unempr_dec96_amt_revised;
proc print; var caseid quarter1_rcv_1997u quarter1_amt_1997u unempr_jan97_amt_revised unempr_feb97_amt_revised unempr_mar97_amt_revised;
proc print; var caseid quarter2_rcv_1997u quarter2_amt_1997u unempr_apr97_amt_revised unempr_may97_amt_revised unempr_jun97_amt_revised;
proc print; var caseid quarter3_rcv_1997u quarter3_amt_1997u unempr_jul97_amt_revised unempr_aug97_amt_revised unempr_sep97_amt_revised;
proc print; var caseid quarter4_rcv_1997u quarter4_amt_1997u unempr_oct97_amt_revised unempr_nov97_amt_revised unempr_dec97_amt_revised;
proc print; var caseid quarter1_rcv_1998u quarter1_amt_1998u unempr_jan98_amt_revised unempr_feb98_amt_revised unempr_mar98_amt_revised;
proc print; var caseid quarter2_rcv_1998u quarter2_amt_1998u unempr_apr98_amt_revised unempr_may98_amt_revised unempr_jun98_amt_revised;
proc print; var caseid quarter3_rcv_1998u quarter3_amt_1998u unempr_jul98_amt_revised unempr_aug98_amt_revised unempr_sep98_amt_revised;
proc print; var caseid quarter4_rcv_1998u quarter4_amt_1998u unempr_oct98_amt_revised unempr_nov98_amt_revised unempr_dec98_amt_revised;
proc print; var caseid quarter1_rcv_1999u quarter1_amt_1999u unempr_jan99_amt_revised unempr_feb99_amt_revised unempr_mar99_amt_revised;
proc print; var caseid quarter2_rcv_1999u quarter2_amt_1999u unempr_apr99_amt_revised unempr_may99_amt_revised unempr_jun99_amt_revised;
proc print; var caseid quarter3_rcv_1999u quarter3_amt_1999u unempr_jul99_amt_revised unempr_aug99_amt_revised unempr_sep99_amt_revised;
proc print; var caseid quarter4_rcv_1999u quarter4_amt_1999u unempr_oct99_amt_revised unempr_nov99_amt_revised unempr_dec99_amt_revised;
proc print; var caseid quarter1_rcv_2000u quarter1_amt_2000u unempr_jan00_amt_revised unempr_feb00_amt_revised unempr_mar00_amt_revised;
proc print; var caseid quarter2_rcv_2000u quarter2_amt_2000u unempr_apr00_amt_revised unempr_may00_amt_revised unempr_jun00_amt_revised;
proc print; var caseid quarter3_rcv_2000u quarter3_amt_2000u unempr_jul00_amt_revised unempr_aug00_amt_revised unempr_sep00_amt_revised;
proc print; var caseid quarter4_rcv_2000u quarter4_amt_2000u unempr_oct00_amt_revised unempr_nov00_amt_revised unempr_dec00_amt_revised;
run;




