options pagesize=59 linesize=80 nocenter;
data;
infile 'ya06cont-469a9f57a5eab.dat' lrecl=21 missover DSD DLM=' ';
input
  Y1450000
  Y1694200
  Y1694600
  Y1694700
  Y1701100
  ;
array chrrlst 
  Y1450000 -- Y1701100
  ;
do over chrrlst;
  if chrrlst = -5 then chrrlst = .A;
  if chrrlst = -4 then chrrlst = .B;
  if chrrlst = -3 then chrrlst = .C;
  if chrrlst = -2 then chrrlst = .D;
  if chrrlst = -1 then chrrlst = .E;
  end;
label Y1450000 = "PUBLIC ID NUMBER 2006";
label Y1694200 = "EVER CONVICTED OF ANY CHARGES? 2006";
label Y1694600 = "SPENT TIME IN JAIL/CORRECT INSTUT? 2006";
label Y1694700 = "EVER BEEN ON PROBATION? 2006";
label Y1701100 = "AGE OF YA IN YEARS AS OF 12/31/06 2006";
/* *start* Crosswalk for Reference number & Question name
    Y1450000    PUB_CASEID
    Y1694200    YASR-62A
    Y1694600    YASR-66
    Y1694700    YASR-67
    Y1701100    AGEDEC2006
      * *finish* */
proc means n mean min max;
run;
